Optional values
Technical Specifications » Library Fundamentals TS
Collaboration diagram for Optional values:

## Classes

class | std::experimental::fundamentals_v1::bad_optional_access
struct | std::experimental::fundamentals_v1::in_place_t
struct | std::experimental::fundamentals_v1::nullopt_t
class | std::experimental::fundamentals_v1::optional< _Tp >

## Macros

#define | __cpp_lib_experimental_optional

## Variables

constexpr in_place_t | std::experimental::in_place
constexpr nullopt_t | std::experimental::nullopt

## Detailed Description

Class template for optional values and surrounding facilities, as described in n3793 "A proposal to add a utility class to represent optional objects (Revision 5)".

## Macro Definition Documentation

## __cpp_lib_experimental_optional

#define __cpp_lib_experimental_optional

Definition at line 66 of file experimental/optional.

## Variable Documentation

## in_place

constexpr in_place_t std::experimental::fundamentals_v1::in_place

constexpr

Tag for in-place construction.

Definition at line 79 of file experimental/optional.

## nullopt

constexpr nullopt_t std::experimental::fundamentals_v1::nullopt

constexpr

Tag to disengage optional objects.

Definition at line 98 of file experimental/optional.